Package org.lwjgl.opengl

# Class EXTDrawRangeElements

java.lang.Object
org.lwjgl.opengl.EXTDrawRangeElements

public final class EXTDrawRangeElements extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_MAX_ELEMENTS_INDICES_EXT`
`static final int`
`GL_MAX_ELEMENTS_VERTICES_EXT`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDrawRangeElementsEXT(int mode, int start, int end, int pIndices_count, int type, long pIndices_buffer_offset)`
`static void`
`glDrawRangeElementsEXT(int mode, int start, int end, ByteBuffer pIndices)`
`static void`
`glDrawRangeElementsEXT(int mode, int start, int end, IntBuffer pIndices)`
`static void`
`glDrawRangeElementsEXT(int mode, int start, int end, ShortBuffer pIndices)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_ELEMENTS_VERTICES_EXT

public static final int GL_MAX_ELEMENTS_VERTICES_EXT

See Also:
  - Constant Field Values

### GL_MAX_ELEMENTS_INDICES_EXT

public static final int GL_MAX_ELEMENTS_INDICES_EXT

See Also:
  - Constant Field Values

## Method Details

### glDrawRangeElementsEXT

public static void glDrawRangeElementsEXT(int mode, int start, int end, ByteBuffer pIndices)

### glDrawRangeElementsEXT

public static void glDrawRangeElementsEXT(int mode, int start, int end, IntBuffer pIndices)

### glDrawRangeElementsEXT

public static void glDrawRangeElementsEXT(int mode, int start, int end, ShortBuffer pIndices)

### glDrawRangeElementsEXT

public static void glDrawRangeElementsEXT(int mode, int start, int end, int pIndices_count, int type, long pIndices_buffer_offset)